﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Microsoft.Win32;

namespace howto_detect_ie_proxy
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            if (IsInternetProxyEnabled())
            {
                lblProxy.Text = "Uses a proxy server";
            }
            else
            {
                lblProxy.Text = "Does not use a proxy server";
            }
        }

        // Return True if the internet settings has ProxyEnable = true.
        private bool IsInternetProxyEnabled()
        {
            // See if Internet Explorer uses a proxy.
            RegistryKey key =
                Registry.CurrentUser.OpenSubKey(
                "Software\\Microsoft\\Windows\\CurrentVersion\\Internet Settings");
            string[] keys = key.GetValueNames();
            bool result = (int)key.GetValue("ProxyEnable", 0) != 0;
            key.Close();

            return result;
        }
    }
}
